Bug 822708 - package version sequence errors in fc16->fc17 upgrade
package version sequence errors in fc16->fc17 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 16:46 EDT by Przemek Klosowski
Modified: 2014-03-16 23:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:42:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2012-05-17 16:46:37 EDT
Description of problem:
when upgrading from fc16 to fc17 (not yet released, done at the RC2 level) via preupgrade

Version-Release number of selected component (if applicable):
see below


How reproducible:
not practical to reproduce, happens during 16->17 upgrade

Steps to Reproduce:
1. preupgrade in FC16
2. reboot, run upgrade, reboot to FC17
3. yum distribution-synchronization
  
Actual results:
several problems that seem to be related to the fact that package release numbers for FC17 aren't larger/later than those for FC16, so that the upgrade failed to install the FC17 versions:

---> Package RackTables.noarch 0:0.19.9-2.fc17 will be a downgrade
---> Package RackTables.noarch 0:0.19.12-1.fc16 will be erased
---> Package ReviewBoard.noarch 0:1.6.5-1.fc17 will be a downgrade
---> Package ReviewBoard.noarch 0:1.6.6-1.fc16 will be erased
---> Package django-evolution.noarch 0:0.6.6-1.fc17 will be a downgrade
---> Package django-evolution.noarch 0:0.6.7-1.fc16 will be erased
---> Package fftw.x86_64 0:3.3-4.fc17 will be a downgrade
---> Package fftw.x86_64 0:3.3.1-2.fc16 will be erased
---> Package fftw-devel.x86_64 0:3.3-4.fc17 will be a downgrade
---> Package fftw-devel.x86_64 0:3.3.1-2.fc16 will be erased
---> Package fftw-libs.x86_64 0:3.3-4.fc17 will be a downgrade
---> Package fftw-libs.x86_64 0:3.3.1-2.fc16 will be erased
---> Package ibus-hangul.x86_64 0:1.4.1-1.fc17 will be a downgrade
---> Package ibus-hangul.x86_64 0:1.4.1-2.fc16 will be erased
---> Package kernel-devel.x86_64 0:3.3.5-2.fc16 will be erased
---> Package kernel-headers.x86_64 0:3.3.4-5.fc17 will be a downgrade
---> Package kernel-headers.x86_64 0:3.3.5-2.fc16 will be erased
---> Package libipa_hbac.x86_64 0:1.8.2-10.fc17 will be a downgrade
---> Package libipa_hbac.x86_64 0:1.8.3-11.fc16 will be erased
---> Package lohit-devanagari-fonts.noarch 0:2.5.1-2.fc17 will be a downgrade
---> Package lohit-devanagari-fonts.noarch 0:2.5.1-3.fc16 will be erased
---> Package mdadm.x86_64 0:3.2.3-6.fc17 will be a downgrade
---> Package mdadm.x86_64 0:3.2.3-7.fc16 will be erased
---> Package mspdebug.x86_64 0:0.18-2.fc17 will be a downgrade
---> Package mspdebug.x86_64 0:0.19-1.fc16 will be erased
---> Package python-djblets.noarch 0:0.6.16-1.fc17 will be a downgrade
---> Package python-djblets.noarch 0:0.6.17-1.fc16 will be erased
---> Package sane-backends.x86_64 0:1.0.22-9.fc17 will be a downgrade
---> Package sane-backends.x86_64 0:1.0.22-10.fc16 will be erased
---> Package sane-backends-drivers-scanners.x86_64 0:1.0.22-9.fc17 will be a downgrade
---> Package sane-backends-drivers-scanners.x86_64 0:1.0.22-10.fc16 will be erased
---> Package sane-backends-libs.x86_64 0:1.0.22-9.fc17 will be a downgrade
---> Package sane-backends-libs.x86_64 0:1.0.22-10.fc16 will be erased
---> Package sssd.x86_64 0:1.8.2-10.fc17 will be a downgrade
---> Package sssd.x86_64 0:1.8.3-11.fc16 will be erased
---> Package sssd-client.x86_64 0:1.8.2-10.fc17 will be a downgrade
---> Package sssd-client.x86_64 0:1.8.3-11.fc16 will be erased
---> Package strace.x86_64 0:4.6-2.fc17 will be a downgrade
---> Package strace.x86_64 0:4.7-1.fc16 will be erased
---> Package vim-minimal.x86_64 2:7.3.444-1.fc17 will be a downgrade
---> Package vim-minimal.x86_64 2:7.3.515-1.fc16 will be erased
---> Package fftw-libs-openmp.x86_64 0:3.3-4.fc17 will be installed
---> Package fftw-libs-threads.x86_64 0:3.3-4.fc17 will be installed

Additionally,

ReviewBoard-1.6.5-1.fc17.noarch conflicts with Django-1.4-1.fc17
eclipse-slide-1.3.16-2.fc15 has missing requires of java-1.6.0-openjdk
ibus-hangul-1.3.1-2.fc16.x86_64  -----  "   " ----- libibus-1.0.so.0()(64bit)
sssd-1.8.2-11.fc16.x86_64        -----  "   " ----- libldb = ('0','1.1.0',None)



Expected results:
no con
Comment 1 Fedora End Of Life 2013-07-03 21:21:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:42:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.